package cn.com.poc.message.entity;

/**
 * @author alex.yao
 * @date 2024/12/10
 */
public class DataAnalyzeCollectMessage {

    /** relation_id
     *关联id
     */
    private java.lang.String relationId;

    public java.lang.String getRelationId(){
        return this.relationId;
    }

    public void setRelationId(java.lang.String relationId){
        this.relationId = relationId;
    }
    /** type
     *
     */
    private java.lang.String type;

    public java.lang.String getType(){
        return this.type;
    }

    public void setType(java.lang.String type){
        this.type = type;
    }
    /** channel
     *渠道
     */
    private java.lang.String channel;

    public java.lang.String getChannel(){
        return this.channel;
    }

    public void setChannel(java.lang.String channel){
        this.channel = channel;
    }
    /** total_points
     *消耗积分数
     */
    private java.lang.Long totalPoints;

    public java.lang.Long getTotalPoints(){
        return this.totalPoints;
    }

    public void setTotalPoints(java.lang.Long totalPoints){
        this.totalPoints = totalPoints;
    }
    /** usage_count
     *使用量
     */
    private java.lang.Long usageCount;

    public java.lang.Long getUsageCount(){
        return this.usageCount;
    }

    public void setUsageCount(java.lang.Long usageCount){
        this.usageCount = usageCount;
    }
    /** users_count
     *使用人数
     */
    private java.lang.Integer usersCount;

    public java.lang.Integer getUsersCount(){
        return this.usersCount;
    }

    public void setUsersCount(java.lang.Integer usersCount){
        this.usersCount = usersCount;
    }
    /** data_date
     *数据日期
     */
    private java.util.Date dataDate;

    public java.util.Date getDataDate(){
        return this.dataDate;
    }

    public void setDataDate(java.util.Date dataDate){
        this.dataDate = dataDate;
    }

}
